#!/usr/bin/env python
#
# bhv - addTagDialog.py
# Author: Loren Bandiera
# Copyright 2005, 2006 MMG Security, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
#
#

import sys
import gtk
import gtk.glade
from config import *
from pysqlite2 import dbapi2 as sqlite

class AddTagDialog:
	def __init__ (self, db_connection):
		self.db_con = db_connection

		self.glade_file = os.path.join (GLADEDIR, "browser-history-viewer.glade")
		self.Glade = gtk.glade.XML (self.glade_file, "addTagDialog")

		self.tagDialog = self.Glade.get_widget ("addTagDialog")
		self.tag_name_entry = self.Glade.get_widget ("nameEntry")
		self.tag_description_entry = self.Glade.get_widget ("descriptionEntry")

		# connect event handlers
		dic = { 
			"OnOkClicked" : self.on_ok_clicked
		}
		
		self.Glade.signal_autoconnect (dic)

		self.tagDialog.run ()
		self.tagDialog.destroy ()
		return

	def on_ok_clicked (self, widget):
		name = self.tag_name_entry.get_text ()
		description = self.tag_description_entry.get_text ()

		if (name == ""):
			return

		cur = self.db_con.cursor()
		cur.execute ("insert into tags values (?, ?)", (name, description))
		self.db_con.commit ()
